This folder contains relevant references for the project.


list_potential.md
+ This file contains the list of potential considered relevant for the project.
+ Each reference represents defines an entry. Cite the reference using the Chicago style (use, e.g., the Google Scholar extension on Chrome to obtain it quickly). The lab uses this style as default because it includes the first and last names of all authors. Including the full name exposes lab members to the increasing diversity in science, reducing (hopefully) bias.
+ Each reference must include the following entries as a bullet list
    + doi address
    + Why - statement: justifying the choice of the reference.
    + A status value: Not studied OR Studied.
    + If the reference's status is "Studied", add a pdf of the reference and update the references folder in the results section.
    + The pdf file must be named following the lab standard: pothole-style, author's last name (if two authors add the second author's last name and if more than two authors add etal), year, journal abbreviation, and keywords.

Examples of entries in the 'list_potential.md' file:

Noble, William Stafford. "A quick guide to organizing computational biology projects." PLoS Comput Biol 5, no. 7 (2009): e1000424.
+ https://doi.org/10.1371/journal.pcbi.1000424
+ Why: This is a foundational reference on how the lab archives and documents projects, e.g., on GitHub.
+ Status: Studied.


Associated pdf file name:
Noble_2009_PLoSCompBio_guide_organization_projects.pdf

Wilson, Greg, Jennifer Bryan, Karen Cranston, Justin Kitzes, Lex Nederbragt, and Tracy K. Teal. "Good enough practices in scientific computing." PLoS computational biology 13, no. 6 (2017): e1005510.
+ https://doi.org/10.1371/journal.pcbi.1005510
+ Why: This is a foundational reference to the practices adopted by the lab on scientific computing.
+ Status: Studied.

Associated pdf file name:
Wilson_etal_2017_PLoSCompBio_good_practices_scientific_computing.pdf

Twarock, Reidun, and Antoni Luque. "Structural puzzles in virology solved with an overarching icosahedral design principle." Nature Communications 10, no. 1 (2019): 1-9.
+ https://doi.org/10.1038/s41467-019-12367-3
+ Why: This is a modern foundational reference in the study of viral capsids and protein shells.
+ Status: Not studied.

Associated pdf file name:
Twarock_and_Luque_2019_NatureComm_icosahedral_capsids.pdf
